Index: code/trunk/src/modules/designtools/CreateStars.h
===================================================================
--- code/trunk/src/modules/designtools/CreateStars.h	(revision 10624)
+++ code/trunk/src/modules/designtools/CreateStars.h	(revision 11071)
@@ -43,5 +43,5 @@
             void createBillboards();
 
-            void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             void setNumStars(int num) {
Index: code/trunk/src/modules/designtools/ScreenshotManager.cc
===================================================================
--- code/trunk/src/modules/designtools/ScreenshotManager.cc	(revision 10624)
+++ code/trunk/src/modules/designtools/ScreenshotManager.cc	(revision 11071)
@@ -69,5 +69,5 @@
         Constructor. 
     */
-    ScreenshotManager::ScreenshotManager() : finalPicturePB_(NULL), data_(NULL)
+    ScreenshotManager::ScreenshotManager() : finalPicturePB_(nullptr), data_(nullptr)
     {
         RegisterObject(ScreenshotManager);
@@ -90,13 +90,13 @@
     void ScreenshotManager::cleanup(void)
     {
-        if(this->finalPicturePB_ != NULL)
+        if(this->finalPicturePB_ != nullptr)
         {
             delete this->finalPicturePB_;
-            this->finalPicturePB_ = NULL;
-        }
-        if(this->data_ != NULL)
+            this->finalPicturePB_ = nullptr;
+        }
+        if(this->data_ != nullptr)
         {
             delete this->data_;
-            this->data_ = NULL;
+            this->data_ = nullptr;
         }
         if(!this->tempTexture_.isNull())
@@ -151,5 +151,5 @@
         // Get the screenshot.
         Ogre::Image* finalImage = getScreenshot();
-        if(finalImage != NULL)
+        if(finalImage != nullptr)
         {
             // Save it.
@@ -173,6 +173,6 @@
     Ogre::Image* ScreenshotManager::getScreenshot()
     {
-        if(CameraManager::getInstance().getActiveCamera() == NULL )
-            return NULL;
+        if(CameraManager::getInstance().getActiveCamera() == nullptr )
+            return nullptr;
         return this->getScreenshot(CameraManager::getInstance().getActiveCamera()->getOgreCamera());
     }
@@ -189,6 +189,6 @@
     Ogre::Image* ScreenshotManager::getScreenshot(Ogre::Camera* camera)
     {
-        if(camera == NULL)
-            return NULL;
+        if(camera == nullptr)
+            return nullptr;
         
         // Update the internal parameters.
Index: code/trunk/src/modules/designtools/SkyboxGenerator.cc
===================================================================
--- code/trunk/src/modules/designtools/SkyboxGenerator.cc	(revision 10624)
+++ code/trunk/src/modules/designtools/SkyboxGenerator.cc	(revision 11071)
@@ -82,17 +82,17 @@
         this->faceCounter_ = 0;
         
-        this->names_.push_back("fr");
-        this->names_.push_back("lf");
-        this->names_.push_back("bk");
-        this->names_.push_back("rt");
-        this->names_.push_back("up");
-        this->names_.push_back("dn");
-        
-        this->rotations_.push_back(std::pair<int, int>(90, 0));
-        this->rotations_.push_back(std::pair<int, int>(90, 0));
-        this->rotations_.push_back(std::pair<int, int>(90, 0));
-        this->rotations_.push_back(std::pair<int, int>(90, 90));
-        this->rotations_.push_back(std::pair<int, int>(0, 180));
-        this->rotations_.push_back(std::pair<int, int>(0, 90));
+        this->names_.emplace_back("fr");
+        this->names_.emplace_back("lf");
+        this->names_.emplace_back("bk");
+        this->names_.emplace_back("rt");
+        this->names_.emplace_back("up");
+        this->names_.emplace_back("dn");
+        
+        this->rotations_.emplace_back(90, 0);
+        this->rotations_.emplace_back(90, 0);
+        this->rotations_.emplace_back(90, 0);
+        this->rotations_.emplace_back(90, 90);
+        this->rotations_.emplace_back(0, 180);
+        this->rotations_.emplace_back(0, 90);
     }
 
@@ -146,6 +146,6 @@
             }
 
-            ControllableEntity* entity = NULL;
-            if(HumanController::getLocalControllerSingleton() != NULL && HumanController::getLocalControllerSingleton()->getControllableEntity() != NULL)
+            ControllableEntity* entity = nullptr;
+            if(HumanController::getLocalControllerSingleton() != nullptr && HumanController::getLocalControllerSingleton()->getControllableEntity() != nullptr)
                 entity = HumanController::getLocalControllerSingleton()->getControllableEntity();
             else
Index: code/trunk/src/modules/designtools/SkyboxGenerator.h
===================================================================
--- code/trunk/src/modules/designtools/SkyboxGenerator.h	(revision 10624)
+++ code/trunk/src/modules/designtools/SkyboxGenerator.h	(revision 11071)
@@ -65,5 +65,5 @@
             SkyboxGenerator();
             virtual ~SkyboxGenerator();
-            void tick(float dt); // This is where the skybox generation happens.
+            virtual void tick(float dt) override; // This is where the skybox generation happens.
             static void createSkybox(void); // Generate the 6 faces of a skybox.
             void setConfigValues(void); // Sets some config values.
@@ -106,5 +106,5 @@
             
             std::vector<std::string> names_; //!< The names of the image files for the skybox faces to be generated.
-            std::vector< std::pair<int, int> > rotations_; //!< The rotation in yaw an pitch direction that is applied to the camera after a specific face has been generated.
+            std::vector< std::pair<int, int>> rotations_; //!< The rotation in yaw an pitch direction that is applied to the camera after a specific face has been generated.
             
             // Storage variables
